Bug 1294872 - Review Request: python-backports_abc - A backport of recent additions to the 'collections.abc' module
Review Request: python-backports_abc - A backport of recent additions to the ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1272810
  Show dependency treegraph
 
Reported: 2015-12-30 14:25 EST by Orion Poplawski
Modified: 2016-02-18 16:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 16:04:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-12-30 14:25:00 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python-backports_abc.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python-backports_abc-0.4-1.fc24.src.rpm

Description: 
A backport of recent additions to the 'collections.abc' module.

Fedora Account System Username: orion
Comment 1 Upstream Release Monitoring 2016-01-18 17:54:15 EST
williamjmorenor's scratch build of python-backports_abc-0.4-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12597302
Comment 2 William Moreno 2016-01-21 18:40:10 EST
Package Review
==============

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.5/site-
     packages/__pycache__(python3-pytest, python3-pytest-pep8,
     python3-virtualenv, python3-decorator, python3-six, python3-libs,
     python3-augeas, langtable-python3, python3-setuptools, python3-pytest-
     cache, python3-ntplib)

===== MUST items =====
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. 
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====
Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).

Rpmlint
-------
Checking: python2-backports_abc-0.4-1.fc24.noarch.rpm
          python3-backports_abc-0.4-1.fc24.noarch.rpm
          python-backports_abc-0.4-1.fc24.src.rpm
python2-backports_abc.noarch: W: spelling-error Summary(en_US) backport -> back port, back-port, backpacker
python2-backports_abc.noarch: W: spelling-error Summary(en_US) abc -> ABC, ab, ac
python2-backports_abc.noarch: W: spelling-error %description -l en_US backport -> back port, back-port, backpacker
python2-backports_abc.noarch: W: spelling-error %description -l en_US abc -> ABC, ab, ac
python3-backports_abc.noarch: W: spelling-error Summary(en_US) backport -> back port, back-port, backpacker
python3-backports_abc.noarch: W: spelling-error Summary(en_US) abc -> ABC, ab, ac
python3-backports_abc.noarch: W: spelling-error %description -l en_US backport -> back port, back-port, backpacker
python3-backports_abc.noarch: W: spelling-error %description -l en_US abc -> ABC, ab, ac
python-backports_abc.src: W: spelling-error Summary(en_US) backport -> back port, back-port, backpacker
python-backports_abc.src: W: spelling-error Summary(en_US) abc -> ABC, ab, ac
python-backports_abc.src: W: spelling-error %description -l en_US backport -> back port, back-port, backpacker
python-backports_abc.src: W: spelling-error %description -l en_US abc -> ABC, ab, ac
3 packages and 0 specfiles checked; 0 errors, 12 warnings.

Rpmlint (installed packages)
----------------------------
python3-backports_abc.noarch: W: spelling-error Summary(en_US) backport -> back port, back-port, backpacker
python3-backports_abc.noarch: W: spelling-error Summary(en_US) abc -> ABC, ab, ac
python3-backports_abc.noarch: W: spelling-error %description -l en_US backport -> back port, back-port, backpacker
python3-backports_abc.noarch: W: spelling-error %description -l en_US abc -> ABC, ab, ac
python2-backports_abc.noarch: W: spelling-error Summary(en_US) backport -> back port, back-port, backpacker
python2-backports_abc.noarch: W: spelling-error Summary(en_US) abc -> ABC, ab, ac
python2-backports_abc.noarch: W: spelling-error %description -l en_US backport -> back port, back-port, backpacker
python2-backports_abc.noarch: W: spelling-error %description -l en_US abc -> ABC, ab, ac
2 packages and 0 specfiles checked; 0 errors, 8 warnings.

Requires
--------
python3-backports_abc (rpmlib, GLIBC filtered):
    python(abi)

python2-backports_abc (rpmlib, GLIBC filtered):
    python(abi)

Provides
--------
python3-backports_abc:
    python3-backports_abc

python2-backports_abc:
    python-backports_abc
    python2-backports_abc

Source checksums
----------------
https://pypi.python.org/packages/source/b/backports_abc/backports_abc-0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 8b3e4092ba3d541c7a2f9b7d0d9c0275b21c6a01c53a61c731eba6686939d0a5
  CHECKSUM(SHA256) upstream package : 8b3e4092ba3d541c7a2f9b7d0d9c0275b21c6a01c53a61c731eba6686939d0a5
https://raw.githubusercontent.com/cython/backports_abc/master/LICENSE :
  CHECKSUM(SHA256) this package     : 0a4f3b38055f50f047a42521568fa6ddb9a5976c2884f6ae138796d0f71150ca
  CHECKSUM(SHA256) upstream package : 0a4f3b38055f50f047a42521568fa6ddb9a5976c2884f6ae138796d0f71150ca
Comment 3 Orion Poplawski 2016-02-02 18:22:00 EST
* Tue Feb 2 2016 Orion Poplawski <orion@cora.nwra.com> - 0.4-2
- Fix python3 package file ownership

Spec URL: http://www.cora.nwra.com/~orion/fedora/python-backports_abc.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python-backports_abc-0.4-2.fc23.src.rpm
Comment 4 William Moreno 2016-02-18 13:54:19 EST
Package Aproved
===============
Comment 5 Gwyn Ciesla 2016-02-18 14:39:18 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-backports_abc
Comment 6 Orion Poplawski 2016-02-18 16:04:00 EST
Checked in and built

Note You need to log in before you can comment on or make changes to this bug.